/******************************************************************************

         Copyright (c) 2020 Intel Corporation

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

#ifndef _DSL_MGMT_MANAGER_INTERFACE_H_
#define _DSL_MGMT_MANAGER_INTERFACE_H_

/**
   Runs core functionality of DSL Manager.

   \param pUbusSocket       Ubus socket path in system [I]

   \return  0 on success,
            -1 on any error including not supported Ubus framework.
*/
int DSL_MNGR_Main(
    const char *pUbusSocket
);

/**
   Orderly shutdown DSL Manager.

   \return  0 on success,
            -1 on any error including not supported Ubus framework.
*/
int DSL_MNGR_Stop(void);

#endif /* _DSL_MGMT_MANAGER_INTERFACE_H_ */
