/******************************************************************************

         Copyright (c) 2020 Intel Corporation

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

#ifndef _DSL_MGMT_MANAGER_OBJECTS_METHODS_H_
#define _DSL_MGMT_MANAGER_OBJECTS_METHODS_H_

#include "dsl_mgmt_manager.h"

#if defined(DSL_MNGR_UBUS_SUPPORT) && (DSL_MNGR_UBUS_SUPPORT == 1)

int DSL_MNGR_LineInfoHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_LineStatsHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_LineStatsIntervalHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_ChannelInfoHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_ChannelStatsHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_ChannelStatsIntervalHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

int DSL_MNGR_BondingGroupInfoHandle(
   struct ubus_context *ctx, struct ubus_object *obj, struct ubus_request_data *req,
   const char *method, struct blob_attr *msg
);

#endif /* defined(DSL_MNGR_UBUS_SUPPORT) && (DSL_MNGR_UBUS_SUPPORT == 1) */

#endif /* _DSL_MGMT_MANAGER_OBJECTS_METHODS_H_ */
