/******************************************************************************

         Copyright (c) 2020 Intel Corporation

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

#ifndef _DSL_MGMT_STATUS_JSON_H
#define _DSL_MGMT_STATUS_JSON_H

#if defined(DSL_VRX_DEVICE_VRX518) || defined(DSL_GFAST_DEVICE_VRX618)
#if defined(INCLUDE_DSL_JSON_PARSING) && (INCLUDE_DSL_JSON_PARSING == 1)

#include "dsl_mgmt_status_definitions.h"

/* Max string length to be written to an output array */
#define MAX_JSON_ARR_STR_LEN 512
#define MAX_JSON_HEX_STR_LEN 5

DSL_void_t DSL_ST_JsonStatusInitialize();

DSL_Error_t DSL_ST_JsonStatusUpdate();

DSL_void_t DSL_ST_JsonStatusParamUpdate(
   const DSL_ST_StatusNodeIdx_t eNodeIdx,
   const DSL_uint16_t nLine,
   const DSL_uint8_t nChannel,
   const DSL_ST_StatusNodeType_t eParamType,
   const DSL_ST_ParamValue_t *uValue
);

#endif /* defined(INCLUDE_DSL_JSON_PARSING) && (INCLUDE_DSL_JSON_PARSING == 1) */
#endif /* defined(DSL_VRX_DEVICE_VRX518) || defined(DSL_GFAST_DEVICE_VRX618) */

#endif /* _DSL_MGMT_STATUS_JSON_H */